<?php 
get_header(); 
the_page_head();

if (is_paged()) 
  the_page_navigation();
?>

<?php 
while (have_posts()) : the_post(); 
?>  
      <div class="post" id="post-<?php the_ID(); ?>">
        <h3><a href="<?php the_permalink(); ?>" rel="bookmark" title='<?php printf('Permanent Link to "%s"', wp_specialchars(strip_tags(the_title('', '', false)),1) ); ?>'><?php the_title(); ?></a></h3>
        <div class="meta">
          <span class="start">Posted on</span> <span class="date"><?php the_time('Y-m-d');?></span> in <span class="cats"><?php the_category(', ') ?></span><?php /* Comments */ comments_popup_link('0&nbsp;<span>Comments</span>', '1&nbsp;<span>Comment</span>', '%&nbsp;<span>Comments</span>', 'commentslink', '<span>Closed</span>'); ?>
          <?php /* Postviews */ if(function_exists('the_views')) {echo ' <span class="views">'; the_views(); echo '</span>';} ?>  
          <?php /* Edit Link */ edit_post_link('Edit', '<span class="edit">','</span>'); ?>
        </div> 
        <div class="entry">
          <?php the_content('Continue reading...'); ?>
        </div>
      </div> 
<?php 
endwhile; 

the_page_navigation();
?>
    </div><!-- /main -->
<?php 
get_sidebar(); 
get_footer(); 
?>