 
    <div id="sidebar">

    <?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : // begin primary sidebar widgets ?>
        <?php if(!is_page('archivepage')) :?>

          <div id="categories-1" class="widget widget_categories">
            <h4>Categories</h4>
            <ul>
              <?php wp_list_categories('orderby=name&title_li=&hierarchical=1&show_count=1'); ?> 
            </ul>
          </div>
          <?php if (is_home() || is_archive()): ?>

          <div id="calendar" class="widget widget_calendar">
            <h4>Calendar</h4>
            <div id="calendar_wrap">
              <?php get_calendar();?> 
            </div>
          </div>
          <?php endif;?>
        <?php endif;?>
          
        <?php if (is_single() && function_exists('wp23_related_posts')): ?>

          <div id="related-posts" class="widget widget_related_posts widget_entries">
            <?php wp23_related_posts();?> 
          </div>

        <?php else:?>

          <?php function_exists('wp_widget_recent_entries') && wp_widget_recent_entries(array(
            'before_widget' => '<div id="recent-posts" class="widget widget_recent_entries widget_entries">',
            'before_title' => '<h4>',
            'title' => 'Recent Articles',
            'after_title' => '</h4>',
            'after_widget' => '</div>'
          ));?>

        <?php endif;?>

        <?php function_exists('wp_widget_recent_comments') && wp_widget_recent_comments(array(
            'before_widget' => '<div id="recent-comments" class="widget widget_recent_comments widget_entries">',
            'before_title' => '<h4>',
            'title' => 'Recent Comments',
            'after_title' => '</h4>',
            'after_widget' => '</div>'
          ));?>
              
        <?php if (is_home()): ?>

          <div id="links" class="widget widget_links">
            <h4>Blogroll</h4>
            <ul>    
              <?php wp_list_bookmarks('title_li=&title_before=&title_after=&orderby=id&category_name=blogroll&categorize=0') ?>
            </ul>
          </div>

          <?php if (false && !is_paged()): ?>
          <div id="google_fc" class="widget widget_gfc">
            <h4>Google Friend Connect</h4>
            <div id="google_fc_wrapper"><span style="padding:5px"><img src="/wp-content/themes/wpcandyEx/images/spinner.gif" alt="loading" style="vertical-align: middle"/> Loading...</span></div>
          </div>
          <?php endif;?>


        <?php endif;?>

          <div id="meta" class="widget widget_meta">
            <h4>Meta</h4>    
            <ul>
              <?php wp_register() ?>
              <?php the_loginout_link() ?>
              <li><a href="http://feed.voidman.com/" title="<?php echo attribute_escape(__('Syndicate this site using RSS 2.0')); ?>"><?php _e('Entries <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
              <li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php echo attribute_escape(__('The latest comments to all posts in RSS')); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
              <?php wp_meta() ?>
            </ul>
         </div>

    <?php endif; ?>

    </div><!-- /sidebar -->
