<?php 
get_header(); 
the_post_navigation();

while (have_posts()) : the_post(); 
?>  
      <div class="<?php the_post_class();?>">
        <h3><a href="<?php the_permalink(); ?>" rel="bookmark" title='<?php printf('Permanent Link to "%s"', wp_specialchars(strip_tags(the_title('', '', false)),1) ); ?>'><?php the_title(); ?></a></h3>
        <div class="meta">
          <span class="start">Posted by</span> <span class="author"><?php the_author() ?></span> on <span class="date"><?php the_time('Y-m-d');?></span> in <span class="cats"><?php the_category(', ') ?></span>
          <?php /* Postviews */ if(function_exists('the_views')) {echo ' <span class="views">'; the_views(); echo '</span>';} ?>  
          <?php /* Edit Link */ edit_post_link('Edit', '<span class="edit">','</span>'); ?>
        </div> 
        <div class="entry"> 
          <?php the_content(); ?> 
          <?php wp_link_pages('before=<p class="page-links"><strong>' . __('Pages:','wpcandyEx') . '</strong>&after=</p>'); ?>
          <?php if ( function_exists('the_tags') ) { ?><span class="tags"><?php the_tags(__('Tags: ','wpcandyEx'), ', ', '.'); ?></span><?php } ?>      
        </div>
      </div>
<?php 
endwhile; 
?>
      <div id="comments">
      <?php comments_template(); ?>
      </div>
<?php
the_post_navigation();
?>
    </div><!-- /main -->
<?php 
get_sidebar(); 
get_footer(); 
?>