<?php // Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
  die ('Please do not load this page directly. Thanks!');

if (!empty($post->post_password)) { // if there's a password
  if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
    ?>
        <p class="note">
          This post is password protected. Enter the password to view comments.
        </p>
    <?php
    return;
  }
}
// You can start editing here.
if ($comments || comments_open()) { ?>

        <h4>Comments</h4>
        <div class="ltr">You can
          <?php if (comments_open()) { ?><a href="#commentform">Leave a reply</a> |<?php } ?> 
          <?php if (pings_open()) { ?><a href="<?php trackback_url(true); ?>" rel="trackback" title="Copy this URI to trackback this entry.">Trackback</a> |<?php } ?>
          <?php comments_rss_link(__('Feed for this Entry','')); ?>
        </div> 
        <?php 

  /* Seperate comments and pings */
  $comments_num = 0;
  $pings_num    = 0;
  //if ( $post->comment_count > 0 ) {

  $comments_list = array();
  $pings_list    = array();

  foreach ($comments as $comment) {
    if ( 'comment' == get_comment_type() ) {
      $comments_list[++$comments_num] = $comment;
    } else {
      $pings_list[++$pings_num] = $comment;
    }
  }
  //}
  if ( $comments_num > 0 ) { ?>

        <ol class="comments">
          <?php foreach ($comments_list as $comment_index => $comment) {?>

          <li class="<?php comment_style_class($comment_index);?>" id="comment-<?php comment_ID() ?>">  
            <span class="counter"><?php echo $comment_index; ?></span>
            <cite class="author"><?php echo get_avatar($comment, 32); ?><?php comment_author_link() ?><img class="reply" src="/wp-content/themes/wpcandyEx/images/reply.png" alt="reply to this comment" onclick="replyto(<?php comment_ID() ?>, '<?php comment_author() ?>')"/></cite>
            <div class="meta">
              <a href="#comment-<?php comment_ID(); ?>" title="Permanent Link to this Comment"><?php comment_date('Y-m-d') ?> <?php comment_time() ?></a>
              <?php edit_comment_link(__('Edit','wpcandyEx'), '<span class="edit">', '</span>');?>
            </div>
            <?php// echo get_avatar( $comment, 32 ); ?>
            <div class="comment"><?php comment_text(); ?></div>
            <?php if ('0' == $comment->comment_approved) { ?><p class="alert"><strong><?php _e('Your comment is awaiting moderation.','wpcandyEx'); ?></strong></p><?php } ?>

          </li> 
          <?php } /* end for each comment */ ?>

        </ol>
        <?php 
   } 
  /* no comments */
  if ($comments_num  == 0) {?>

        <p class="note">
        <?php if (comments_open()) {echo 'No Comments';} else {echo 'Comments are closed';}?>
        </p>
        <?php 
  }        
  /* Check for Pings */ 
  if ( $pings_num > 0 ) { ?>
 
        <h4>Trackbacks / Pingbacks</h4>
        <ol class="pings">
          <?php foreach ($pings_list as $comment_index => $comment) { ?>
          <li id="ping-<?php comment_ID() ?>">&raquo; <?php comment_author_link() ?></li> 
          <?php } /* end for each comment */ ?>
        </ol>
        <?php 
  } 
} 

if (comments_open()) {   
?>

        <h4>Leave a Reply</h4>
        <?php if ( get_option('comment_registration') && !$user_ID ) { ?>

        <p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
        <?php } else { ?>

        <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
          <?php if ( $user_ID ) { ?>
          <p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout &raquo;</a></p>
          <?php } else { ?>
          <div id="commenter">
          <p>
            <input type="text" name="author" class="required" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
            <label for="author"><strong><?php _e('Name','wpcandyEx'); ?></strong> <?php if ($req) _e('(required)','wpcandyEx') ?></label>
          </p>    
          <p>
            <input type="text" name="email" class="required" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
            <label for="email"><strong><?php _e('Mail','wpcandyEx'); ?></strong> (<?php if ($req) {_e('required', 'wpcandyEx');echo ', ';} ?><?php _e('will not be published','wpcandyEx'); ?>) </label>
          </p>    
          <p>
            <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
            <label for="url"><?php _e('Website','wpcandyEx'); ?></label>
          </p>
          </div>
          <?php } ?>
          <p class="smiles">
          <?php the_smiles()?>
          </p>
          <p>
            <textarea name="comment" id="comment" class="required" cols="100%" rows="10" tabindex="4" onselect="storeCaret(this);" onclick="storeCaret(this);" onkeyup="storeCaret(this);ctlent(event);"></textarea>
            <span id="commenterror"></span>
          </p>
          <p class="clearfix">
            <input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit','wpcandyEx'); ?>" /> <span class="submit_tips">Press [CTRL]+[ENTER] to submit comment</span>
            <input type="hidden" name="comment_count" value="<?php echo $num_comments; ?>" />
            <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
            <?php do_action('comment_form', $post->ID); ?>
            <span id="commentload"></span>
          </p>
          <p class="xhtml">
            <?php printf(__('You can use these <strong>XHTML</strong> tags:<br /> %s','wpcandyEx'), allowed_tags()) ?>
          </p>        
        </form>
        <?php }?>
<?php 
}
?>