<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="zh-CN">
<head profile="http://gmpg.org/xfn/11">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <title><?php the_page_title(); ?></title>
  <meta name="robots" content="<?php the_robots_rules();?>" />
  <?php 
  the_meta_description();
  the_meta_keywords();
  ?> 
  <link rel="stylesheet" href="/wp-content/themes/wpcandyEx/style.css.php?ver=<?php the_theme_version();?>" type="text/css" media="screen" />
  <!--[if lte IE 6]>
  <link rel="stylesheet" href="/wp-content/themes/wpcandyEx/ie6.css?ver=<?php the_theme_version();?>" type="text/css" media="screen" />
  <![endif]-->  
  <?php if (!(is_page() || is_404())) :?>
  <script type="text/javascript" src="/wp-content/themes/wpcandyEx/common.js.php?ver=<?php the_theme_version();?>"></script>
  <?php endif;?>
  <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="http://feed.voidman.com/" />
  <link rel="pingback" href="http://www.voidman.com/xmlrpc.php" />
  <?php 
  wp_head();
  wp_get_archives('type=monthly&format=link'); 
  ?>
</head>
<body class="<?php the_body_class();?>">
<div id="wrap">

  <div id="header" class="clearfix">
    <h1><a href="<?php bloginfo('url'); ?>" onfocus="this.blur()"><?php bloginfo('name'); ?></a></h1>
    <ul class="menu">
      <li><a href="<?php bloginfo('home'); ?>">Blog</a></li>
      <?php wp_list_pages('title_li=&depth=0'); ?>
    </ul>
    <form method="get" id="search" action="<?php bloginfo('url'); ?>" onsubmit="location.href='<?php bloginfo('url'); ?>/search/' + encodeURIComponent(this.s.value).replace(/%20/g, '+'); return false;">
      <p>
        <input type="text" id="s" name="s" value="<?php the_search_query(); ?>" title="Search this blog..." />
        <input type="submit" id="searchsubmit" value="GO" />
      </p>
    </form>
  </div><!-- /header -->

  <div id="content" class="clearfix">
    <div id="main">
